package com.inkasso.factoring.login.enums;

import com.inkasso.adapter.exception.AbstractBaseException;
import lombok.Getter;

/**
 * @author 张超
 * @date 2021/11/5
 */
@Getter
public enum UserExceptionEnum implements AbstractBaseException {


  USER_NOT_EXISTS("用户不存在","200100"),

  USER_NOT_USE("该用户已被禁用","200104"),

  USER_PASSWORD_ERROR("用户密码错误","200101"),

  USER_NOT_HAVE_ROLE("用户未分配角色","200102"),

  WECHAT_NOT_EXISTS("微信不存在","200103");

  private String message;

  private String serviceCode;

  UserExceptionEnum(String message, String serviceCode) {
    this.message = message;
    this.serviceCode = serviceCode;
  }
}
